#ifndef CELL_H
#define CELL_H


enum CellType {
    StemCell, ProgenitorCell, DifferentiatedCell
};
typedef enum CellType CellType;

class Cell {
	friend class Crypt;
    public:
        Cell();
        virtual ~Cell();
        void Methylate();
        void Unmethylate();
        void Create(CellType typeNewCell, bool parentCellMethylated, int time);
        void Erase();
        void Display();
    protected:
    private:
        CellType cellType;
        bool methylated;
        int timeIndicator;
};



#endif // CELL_H

/***************/
/* End of file */
/***************/
