#ifndef CRYPT_H
#define CRYPT_H

#include "cell.h"

class Crypt {
    public:
        Crypt();
        virtual ~Crypt();
        void Display();
        void StartInfection();
        void StopInfection();
        void Iteration(int);
		void UpdateMethylationProgCells();
		void UpdateMethylationStemCell();
		void NewCellLeft(int);
		void NewCellRight(int);
		void MoveLeftCells();
		void MoveRightCells();
        int sizeRight, sizeLeft;
        bool isInfected;
		double methylationLevel;
    protected:
    private:
        int statusLength;
        int infectionTime;
        int cellPopulation;
        int progenitorCells[6];
        int stemCell;
        Cell* cells;
		unsigned int infectedSizeParameter;
};

#endif // CRYPT_H


/***************/
/* End of file */
/***************/
