#ifndef CELLULE_H
#define CELLULE_H

#include "agent.hpp"
#include <stdlib.h>
#include <stdio.h>

class Cellule
{
   public :

      Cellule();
      virtual ~Cellule() {};

int nbVis_;

      int getV();
      int getTh();
      int getTc();
      int getCPA();
      
      void flushV(int ptrAgent);
      void flushTh(int ptrAgent);
      void flushTc(int ptrAgent);
      void flushCPA(int ptrAgent);
      
      int getNbcV() {return nbcVirus_;};
      int getNbcTh() {return nbcTh_;};
      int getNbcTc() {return nbcTc_;};
      int getNbcCPA() {return nbcCPA_;};

      void setNbcV(int V) {nbcVirus_=V;};
      void setNbcTh(int Th) {nbcTh_=Th;};
      void setNbcTc(int Tc) {nbcTc_=Tc;};
      void setNbcCPA(int CPA) {nbcCPA_=CPA;};
      
      void nbcVInc() {nbcVirus_++;};
      void nbcVDec() {nbcVirus_--;};
      void nbcThInc() {nbcTh_++;};
      void nbcThDec() {nbcTh_--;};
      void nbcTcInc() {nbcTc_++;};
      void nbcTcDec() {nbcTc_--;};
      void nbcCPAInc() {nbcCPA_++;};
      void nbcCPADec() {nbcCPA_--;};

   public :

      // "local" agent count for each type
      int nbcVirus_, nbcTh_, nbcTc_, nbcCPA_;
      
      // arrays storing the offsets used to identify the agents
      int tabV[20];
      int tabTh[10];
      int tabTc[10];
      int tabCPA[10];
      
};


#endif // CELLULE_H

/* ------------------------------ End Of File ------------------------------- */
