#!/bin/sh

# to have multiple nodes per processor: e.g. 64 lymph nodes using 16 cluster nodes
# 16 on mpich line, and "-np 64 -ppn 4" on mpirun line

#$ -pe mpich 8 
#$ -cwd -j y
#$ -N sma
#$ -q 56long 
# set your PATH to get the correct mpirun


cat ~/.mpich/mpich_hosts.$JOB_ID >> ~/MY_JOB_FILE
mpirun -np 8 -ppn 1 -machinefile ~/.mpich/mpich_hosts.$JOB_ID ./sma $JOB_ID
