#include <iostream>
#include "cell.h"
#include "MersenneTwister.h"

/********************/
/* Cell constructor */
/********************/

Cell::Cell() { }


/*******************/
/* Cell destructor */
/*******************/

Cell::~Cell() { }


/*****************/
/* Cell creation */
/*****************/

void Cell::Create(CellType typeNewCell, bool parentCellMethylated, int time) {
	cellType=typeNewCell;
	methylated=parentCellMethylated;
	timeIndicator=time;
}


/********************/
/* Cell desturction */
/********************/
void Cell::Erase() {
	timeIndicator=-1;
}


/****************/
/* Cell display */
/****************/

void Cell::Display() {
	if(timeIndicator!=-1)
		std::cout << cellType << " " << timeIndicator << " " << methylated << std::endl;
}
