#ifndef WOLRD_H
#define WOLRD_H

#define BUFFER_SIZE 3600

#include "node.hpp"
#include "random.hpp"
#include <vector>

class Node;

class World
{
   public :

      World();
      virtual ~World();

      int init(int, int, int, int, int);
      int run();
      
      Node lymphNode;
      int procNum;
      int numberOfNodes;
      
      int list[BUFFER_SIZE];
      int nbMovingAgents;
      int list_dep[BUFFER_SIZE];
      int nbMovingAgents_dep;
      int list_dep2[BUFFER_SIZE];
      int nbMovingAgents_dep2;

      int recvFrom[2];
      int sendTo[2];
      int route[6];
      int color;
      
      char jobID[3];
      
      void randToCertain(int, int);
      bool appartient(int*, int);

      int addMovingAgent(int dest, int type, int date, int age, int p1=0, int p2=0, int p3=0, int p4=0, int p5=0);
      int addMovingAgent_list1(int dest, int type, int date, int age, int p1=0, int p2=0, int p3=0, int p4=0, int p5=0);
      int addMovingAgent_list2(int dest, int type, int date, int age, int p1=0, int p2=0, int p3=0, int p4=0, int p5=0);
};


#endif

/* ------------------------------ End Of File ------------------------------- */
